%define major 0
%define libname %mklibname %{name} %{major}

Name:       synthv1
Version:    0.8.3
Release:    %mkrel 1
Summary:    An old-school polyphonic synthesizer
License:    GPLv2+
Group:      Sound/Midi
URL:        https://synthv1.sourceforge.io/
Source0:    http://download.sourceforge.net/synthv1/%{name}-%{version}.tar.gz
Patch0:     synthv1-0.8.2-mga-qmake-strip.patch

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  qttools5

%description
%{name} is an old-school 4-oscillator subtractive polyphonic synthesizer
with stereo effects. This package provides the standalone application.

%files
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}_jack
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/mimetypes/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}-*.svg
%{_mandir}/man1/%{name}*.1*

#--------------------------------------------------------------------
%package -n %{libname}
Summary:        synthv1 synthesizer library
Group:          System/Libraries

%description -n %{libname}
%{name} is an old-school 4-oscillator subtractive polyphonic synthesizer
with stereo effects.

%files  -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#--------------------------------------------------------------------
%define lv2name lv2-%{name}

%package -n %{lv2name}
Summary:        synthv1 synthesizer LV2 plugin
Group:          Sound/Midi
Requires:       %{libname} = %{version}

%description -n %{lv2name}
%{name} is an old-school 4-oscillator subtractive polyphonic synthesizer
with stereo effects. This package provides the LV2 plugin.

%files -n %{lv2name}
%{_libdir}/lv2/%{name}.lv2/


%prep
%autosetup -p1

%build
./autogen.sh
%configure2_5x

%make_build

%install
%make_install

#no need to package the devel library
rm -f %{buildroot}%{_libdir}/lib%{name}.so

desktop-file-install \
    --remove-key="X-SuSE-translate" \
    --remove-key="Version" \
    --set-key=Exec --set-value="%{name}_jack" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Jun 25 2017 akien <akien> 0.8.3-1.mga6
+ Revision: 1108398
- Version 0.8.3

* Mon May 15 2017 animtim <animtim> 0.8.2-1.mga6
+ Revision: 1101805
- imported package synthv1

